package com.gic.haoban.manage.service.dao.mapper.moment;

import com.gic.haoban.manage.api.dto.moment.QwMomentPlanDataDTO;
import com.gic.haoban.manage.api.qdto.moment.PlanDataListQDTO;
import com.gic.haoban.manage.service.entity.moment.TabQwMomentPlanData;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface QwMomentPlanDataMapper {

    void batchInsert(List<TabQwMomentPlanData> list) ;

    List<QwMomentPlanDataDTO> list(PlanDataListQDTO qdto);

    void delAll(@Param("planId") Long planId, @Param("clerkId")String clerkId);
}
